* m68k calling convention says that, between function calls,
* d0,d1,a0,a1 can be used as scratch registers, however,
* others should be preserved and
* return value -if there is- is placed in d0

#define PORT_VDP_DATA        0xc00000
#define PORT_VDP_CNTL        0xc00004

	.globl	HaltEmu
HaltEmu:
	move.w	#0x9D00, 0xC00004
	rts

	.globl	AlertEmu
AlertEmu:
* %a0 = uchar *string
			link	%a6, #0
			move.l 8(%a6), %a0
			move.l PORT_VDP_CNTL, %a1
			move.w #0x9E00, %d1
	loopMsg:
			move.b (%a0)+, %d0
			beq endMsg
			or.w %d1, %d0
			move.w %d0, (%a1)
			bra loopMsg
	endMsg:
			move.w %d1, (%a1)
			unlk %a6
			rts

	.globl	StartEmuTimer
StartEmuTimer:
	move.w	#0x9F80, PORT_VDP_CNTL

	rts
	
	.globl	StopEmuTimer
StopEmuTimer:
	move.w	#0x9F40, PORT_VDP_CNTL
	rts
